petsc-3.10.5 2019-03-28
Report Typos and Errors

# PetscStrbeginswith

Determines if a string begins with a certain string

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscStrbeginswith(const char a[],const char b[],PetscBool *flg)

Not Collective

### Input Parameters

| a | - pointer to string
| b | - string to begin with

### Output Parameter

flg -PETSC_TRUE or PETSC_FALSE

### Notes

Not for use in Fortran

### See Also

PetscStrendswithwhich(), PetscStrendswith(), PetscStrtoupper, PetscStrtolower(), PetscStrrchr(), PetscStrchr(),
PetscStrncmp(), PetscStrlen(), PetscStrncmp(), PetscStrcmp()

### Level

intermediate

### Location

src/sys/utils/str.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages